package com.example;

import java.util.ArrayList;
import java.util.HashMap;

import android.app.Activity;
import android.app.ListFragment;
import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;
import android.widget.SimpleAdapter;

public class ItemListFragment extends ListFragment {
	private OnItemSelectedListener mListener;

	private ArrayList<HashMap<String, String>> mList = new ArrayList<HashMap<String, String>>();

	@Override
	public void onAttach(Activity activity) {
		super.onAttach(activity);

		try {
			mListener = (OnItemSelectedListener) activity;
		} catch (ClassCastException e) {
			// Activity側で実装されていない場合は、エラー
		}
	}

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

	}

	@Override
	public void onActivityCreated(Bundle savedInstanceState) {
		super.onActivityCreated(savedInstanceState);

		ListView lv = getListView();
		lv.setChoiceMode(ListView.CHOICE_MODE_SINGLE);
		lv.setCacheColorHint(Color.TRANSPARENT);

		// リストデータ作成
		HashMap<String, String> map1 = new HashMap<String, String>();
		HashMap<String, String> map2 = new HashMap<String, String>();
		HashMap<String, String> map3 = new HashMap<String, String>();
		HashMap<String, String> map4 = new HashMap<String, String>();

		map1.put("key", "Red");
		map2.put("key", "Blue");
		map3.put("key", "Green");
		map4.put("key", "Black");

		mList.add(map1);
		mList.add(map2);
		mList.add(map3);
		mList.add(map4);

		setListAdapter(new SimpleAdapter(getActivity(), mList, android.R.layout.simple_list_item_1, new String[] {
			"key"
		}, new int[] {
			android.R.id.text1
		}));
	}

	@Override
	public void onListItemClick(ListView l, View v, int position, long id) {
		HashMap<String, String> map = mList.get(position);
		mListener.onItemSelected(map.get("key"));
	}

	/**
	 * リストアイテムを選択した時に呼び出されるリスナ.
	 */
	public interface OnItemSelectedListener {

		/**
		 * アイテムを選択したときに呼び出されるコールバック.
		 * 
		 * @param msg
		 *            選択した文字列
		 */
		public void onItemSelected(String msg);
	}
}