package com.example;

import android.app.Activity;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

import com.example.ItemListFragment.OnItemSelectedListener;

public class MainActivity extends Activity implements OnItemSelectedListener {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
    }

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		MenuInflater inflater = getMenuInflater();
		inflater.inflate(R.menu.main_menu_items, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.item1:
		case R.id.item2:
		case R.id.item3:
			Intent intent = new Intent(this, DetailActivity.class);
			startActivity(intent);
			return true;

		default:
			return super.onOptionsItemSelected(item);
		}

	}

	/**
	 * ItemListFragmentクラスで必要とするコールバック
	 */
	public void onItemSelected(String msg) {
		FragmentManager fm = getFragmentManager();
		FragmentTransaction ft = fm.beginTransaction();
		TextFragment fragment = new TextFragment();
		// フラグメントに渡す値をセット
		Bundle bundle = new Bundle();
		bundle.putString(TextFragment.ARG_KEY_MSG, msg);

		fragment.setArguments(bundle);
		ft.replace(R.id.text_view, fragment);
		ft.addToBackStack(null);
		ft.commit();
	}
}