package com.example;

import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentTransaction;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

import com.example.ItemListFragment.OnItemSelectedListener;

public class MainActivity extends FragmentActivity implements OnItemSelectedListener {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
    }

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {

		super.onCreateOptionsMenu(menu);
		//
		// // アイコン + テキスト表示
		// menu.add(0, 1, 0, "アイテム1").setIcon(R.drawable.ic_menu_maru)
		// .setShowAsAction(MenuItem.SHOW_AS_ACTION_IF_ROOM |
		// MenuItem.SHOW_AS_ACTION_WITH_TEXT);
		// // アイコン表示
		// menu.add(0, 2, 0,
		// "").setIcon(R.drawable.ic_menu_maru).setShowAsAction(MenuItem.SHOW_AS_ACTION_IF_ROOM);
		// // オーバーフローメニューに表示
		// menu.add(0, 3, 0, "アイテム3");

		MenuInflater inflater = getMenuInflater();
		inflater.inflate(R.menu.main_menu_items, menu);

		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.item1:
		case R.id.item2:
		case R.id.item3:
			Intent intent = new Intent(this, DetailActivity.class);
			startActivity(intent);
			return true;

		default:
			return super.onOptionsItemSelected(item);
		}

	}

	/**
	 * ItemListFragmentクラスで必要とするコールバック
	 */
	public void onItemSelected(String msg) {
		if (isHonycomb()) {
			// android3.0以上
			FragmentManager fm = getSupportFragmentManager();
			FragmentTransaction ft = fm.beginTransaction();
			TextFragment fragment = new TextFragment();
			Bundle bundle = new Bundle();
			bundle.putString(TextFragment.ARG_KEY_MSG, msg);

			fragment.setArguments(bundle);
			ft.replace(R.id.text_view, fragment, "TextFragment");
			ft.addToBackStack(null);
			ft.commit();
		}
		else {
			// android 3.0未満
			Intent intent = new Intent(this, TextActivity.class);
			Bundle bundle = new Bundle();
			bundle.putString(TextFragment.ARG_KEY_MSG, msg);
			intent.putExtras(bundle);
			startActivity(intent);
		}
	}

	public static boolean isHonycomb() {
		return Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB;
	}
}